# $Revision: 1.36 $, $Date: 2011/05/10 15:53:21 $
Summary:	C++ wrapper for cairo
Summary(pl.UTF-8):	Interfejs C++ do cairo
Name:		cairomm
Version:	1.10.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://cairographics.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	9c63fb1c04c8ecd3c5e6473075b8c39f
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.8
BuildRequires:	pkgconfig
Requires:	cairo >= 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrapper for cairo.

%description -l pl.UTF-8
Interfejs C++ do cairo.

%package devel
Summary:	Development files for cairomm library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki cairomm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.8.0
Requires:	libsigc++-devel >= 2.0

%description devel
Development files for cairomm library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki cairomm.

%package static
Summary:	Static cairomm library
Summary(pl.UTF-8):	Statyczna biblioteka cairomm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cairomm library.

%description static -l pl.UTF-8
Statyczna biblioteka cairomm.

%package apidocs
Summary:	cairomm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki cairomm
Group:		Documentation

%description apidocs
API and internal documentation for cairomm library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki cairomm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__automake}
%{__autoconf}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcairomm-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libcairomm-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcairomm-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcairomm-1.0.so
%{_libdir}/cairomm-1.0
%{_includedir}/cairomm-1.0
%{_pkgconfigdir}/cairomm-1.0.pc
%{_pkgconfigdir}/cairomm-ft-1.0.pc
%{_pkgconfigdir}/cairomm-pdf-1.0.pc
%{_pkgconfigdir}/cairomm-png-1.0.pc
%{_pkgconfigdir}/cairomm-ps-1.0.pc
%{_pkgconfigdir}/cairomm-svg-1.0.pc
%{_pkgconfigdir}/cairomm-xlib-1.0.pc
%{_pkgconfigdir}/cairomm-xlib-xrender-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcairomm-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/cairomm-1.0
%{_datadir}/devhelp/books/cairomm-1.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cairomm.spec,v $
Revision 1.36  2011/05/10 15:53:21  qboosh
- updated to 1.10.0

Revision 1.35  2011/04/12 15:24:29  wiget
- up to 1.9.8, merged from DEVEL
- drop libtool file

Revision 1.34.2.1  2011/03/23 12:14:25  wiget
- up to 1.9.8
- doc in apidocs subpackage

Revision 1.34  2010/11/11 08:07:52  qboosh
- mm version

Revision 1.33  2010/11/09 08:35:38  caleb
- Down to 1.8.x stable branch, up to 1.8.6. Patch removal from mistaken upgrade to devel branch still relevant, applied in upstream 1.8.x

Revision 1.32  2010/11/08 11:24:56  caleb
- Up to 1.9.6
- Removed patch applied upstream

Revision 1.31  2010/09/19 05:16:52  qboosh
- unified files order

Revision 1.30  2010/09/18 18:04:52  qboosh
- -devel R: libsigc++-devel

Revision 1.29  2010/02/09 08:52:05  megabajt
- updated to 1.8.4
- added -typo.patch

Revision 1.28  2009/11/27 01:05:58  sparky
- BR: graphviz (required for documentation) and libsigc++-devel

Revision 1.27  2009/07/09 23:28:14  hawk
- updated to 1.8.2, API/ABI breakage introduced in 1.8.0 was reverted

Revision 1.26  2009/06/17 15:00:55  hawk
- release 2

Revision 1.25  2009/02/03 21:32:41  qboosh
- updated to 1.8.0

Revision 1.24  2008/11/07 13:43:44  pluto
- release 2.

Revision 1.23  2008/11/06 20:03:28  sls
- BR: doxygen

Revision 1.22  2008/09/09 06:07:59  qboosh
- updated to 1.6.4

Revision 1.21  2008/08/19 20:55:05  qboosh
- updated to 1.6.2

Revision 1.20  2008/04/13 10:47:56  qboosh
- updated to 1.6.0

Revision 1.19  2008-03-25 18:41:23  qboosh
- updated to 1.4.8

Revision 1.18  2007-11-24 23:30:57  qboosh
- updated to 1.4.6

Revision 1.17  2007-07-30 19:39:50  qboosh
- updated to 1.4.4 (with fixed versioning, back to 1.2.x soname)

Revision 1.16  2007/07/13 16:14:58  qboosh
- updated to 1.4.0

Revision 1.15  2007/04/17 17:44:55  megabajt
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl)
- release 2

Revision 1.14  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.12  2007/01/18 11:26:06  qboosh
- updated to 1.2.4

Revision 1.11  2006/11/25 19:24:13  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.10  2006/08/22 09:51:18  qboosh
- updated to 1.2.2

Revision 1.9  2006/08/21 09:40:52  qboosh
- updated to 1.2.0

Revision 1.8  2006/08/18 17:08:54  freetz
- 1.1.12 20060818 snapshot

Revision 1.7  2006/07/16 09:41:38  freetz
- --as-needed support

Revision 1.6  2006/07/16 09:38:55  freetz
- 1.1.10

Revision 1.5  2006/04/05 11:14:10  qboosh
- updated to 0.6.0, removed obsolete fix patch

Revision 1.4  2006/02/11 12:24:25  qboosh
- updated to 0.5.0, added fix patch

Revision 1.3  2005/12/25 14:09:27  qboosh
- updated to 0.4.0

Revision 1.2  2005/12/20 17:59:11  qboosh
- updated to 0.3.0

Revision 1.1  2005/12/10 14:13:43  qboosh
- new
